## EomScrollView EomScrollView |

## Functions

GtkWidget * | eom_scroll_view_new ()
void | eom_scroll_view_set_image ()
void | eom_scroll_view_set_scroll_wheel_zoom ()
void | eom_scroll_view_set_zoom_upscale ()
void | eom_scroll_view_set_zoom_multiplier ()
void | eom_scroll_view_set_antialiasing_in ()
void | eom_scroll_view_set_antialiasing_out ()
void | eom_scroll_view_set_transparency ()
gboolean | eom_scroll_view_scrollbars_visible ()
void | eom_scroll_view_set_popup ()
void | eom_scroll_view_zoom_in ()
void | eom_scroll_view_zoom_out ()
void | eom_scroll_view_zoom_fit ()
void | eom_scroll_view_set_zoom ()
double | eom_scroll_view_get_zoom ()
gboolean | eom_scroll_view_get_zoom_is_min ()
gboolean | eom_scroll_view_get_zoom_is_max ()
void | eom_scroll_view_show_cursor ()
void | eom_scroll_view_hide_cursor ()
void | eom_scroll_view_override_bg_color ()
void | eom_scroll_view_set_background_color ()
void | eom_scroll_view_set_transparency_color ()
void | eom_scroll_view_set_use_bg_color ()

## Properties

gboolean | antialiasing-in | Read / Write
gboolean | antialiasing-out | Read / Write
GdkColor * | background-color | Read / Write
gboolean | scrollwheel-zoom | Read / Write
GdkColor * | transparency-color | Write
EomTransparencyStyle | transparency-style | Read / Write
gboolean | use-background-color | Read / Write
gdouble | zoom-multiplier | Read / Write

## Signals

void | zoom-changed | Run Last

## Types and Values

struct | EomScrollView
enum | EomTransparencyStyle

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkContainer
                        ╰── GtkTable
                            ╰── EomScrollView

## Implemented Interfaces

EomScrollView implements AtkImplementorIface and GtkBuildable.

## Description

## Functions

### eom_scroll_view_new ()

    GtkWidget *
    eom_scroll_view_new (void);

### eom_scroll_view_set_image ()

    void
    eom_scroll_view_set_image (EomScrollView *view,
                               EomImage *image);

### eom_scroll_view_set_scroll_wheel_zoom ()

    void
    eom_scroll_view_set_scroll_wheel_zoom (EomScrollView *view,
                                           gboolean scroll_wheel_zoom);

### eom_scroll_view_set_zoom_upscale ()

    void
    eom_scroll_view_set_zoom_upscale (EomScrollView *view,
                                      gboolean upscale);

### eom_scroll_view_set_zoom_multiplier ()

    void
    eom_scroll_view_set_zoom_multiplier (EomScrollView *view,
                                         gdouble multiplier);

### eom_scroll_view_set_antialiasing_in ()

    void
    eom_scroll_view_set_antialiasing_in (EomScrollView *view,
                                         gboolean state);

### eom_scroll_view_set_antialiasing_out ()

    void
    eom_scroll_view_set_antialiasing_out (EomScrollView *view,
                                          gboolean state);

### eom_scroll_view_set_transparency ()

    void
    eom_scroll_view_set_transparency (EomScrollView *view,
                                      EomTransparencyStyle style);

### eom_scroll_view_scrollbars_visible ()

    gboolean
    eom_scroll_view_scrollbars_visible (EomScrollView *view);

### eom_scroll_view_set_popup ()

    void
    eom_scroll_view_set_popup (EomScrollView *view,
                               GtkMenu *menu);

### eom_scroll_view_zoom_in ()

    void
    eom_scroll_view_zoom_in (EomScrollView *view,
                             gboolean smooth);

### eom_scroll_view_zoom_out ()

    void
    eom_scroll_view_zoom_out (EomScrollView *view,
                              gboolean smooth);

### eom_scroll_view_zoom_fit ()

    void
    eom_scroll_view_zoom_fit (EomScrollView *view);

### eom_scroll_view_set_zoom ()

    void
    eom_scroll_view_set_zoom (EomScrollView *view,
                              double zoom);

### eom_scroll_view_get_zoom ()

    double
    eom_scroll_view_get_zoom (EomScrollView *view);

### eom_scroll_view_get_zoom_is_min ()

    gboolean
    eom_scroll_view_get_zoom_is_min (EomScrollView *view);

### eom_scroll_view_get_zoom_is_max ()

    gboolean
    eom_scroll_view_get_zoom_is_max (EomScrollView *view);

### eom_scroll_view_show_cursor ()

    void
    eom_scroll_view_show_cursor (EomScrollView *view);

### eom_scroll_view_hide_cursor ()

    void
    eom_scroll_view_hide_cursor (EomScrollView *view);

### eom_scroll_view_override_bg_color ()

    void
    eom_scroll_view_override_bg_color (EomScrollView *view,
                                       const GdkColor *color);

### eom_scroll_view_set_background_color ()

    void
    eom_scroll_view_set_background_color (EomScrollView *view,
                                          const GdkColor *color);

### eom_scroll_view_set_transparency_color ()

    void
    eom_scroll_view_set_transparency_color
                                   (EomScrollView *view,
                                    GdkColor *color);

### eom_scroll_view_set_use_bg_color ()

    void
    eom_scroll_view_set_use_bg_color (EomScrollView *view,
                                      gboolean use);

## Types and Values

### struct EomScrollView

    struct EomScrollView;

### enum EomTransparencyStyle

#### Members

EOM_TRANSP_BACKGROUND |  |
EOM_TRANSP_CHECKED |  |
EOM_TRANSP_COLOR |  |

## Property Details

### The `“antialiasing-in”` property

      “antialiasing-in”          gboolean

Flags: Read / Write

Default value: TRUE

### The `“antialiasing-out”` property

      “antialiasing-out”         gboolean

Flags: Read / Write

Default value: TRUE

### The `“background-color”` property

      “background-color”         GdkColor *

This is the default background color used for painting the background of the image view. If set to `NULL` the color is determined by the active GTK theme.

Flags: Read / Write

### The `“scrollwheel-zoom”` property

      “scrollwheel-zoom”         gboolean

If `TRUE` the scrollwheel will zoom the view, otherwise it will be used for scrolling a zoomed image.

Flags: Read / Write

Default value: TRUE

### The `“transparency-color”` property

      “transparency-color”       GdkColor *

This is the color used to fill the transparent parts of an image if :transparency-style is set to use a custom color.

Flags: Write

### The `“transparency-style”` property

      “transparency-style”       EomTransparencyStyle

Determines how to fill the shown image's transparent areas.

Flags: Read / Write

Default value: EOM_TRANSP_CHECKED

### The `“use-background-color”` property

      “use-background-color”     gboolean

Flags: Read / Write

Default value: FALSE

### The `“zoom-multiplier”` property

      “zoom-multiplier”          gdouble

The current zoom factor is multiplied with this value + 1.0 when scrolling with the scrollwheel to determine the next zoom factor.

Flags: Read / Write

Default value: 0.05

## Signal Details

### The `“zoom-changed”` signal

    void
    user_function (EomScrollView *eomscrollview,
                   gdouble        arg1,
                   gpointer       user_data)

Flags: Run Last